#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int a,b,x,y;
    scanf("%lld - %lld", &x, &y);
    scanf("%lld - %lld", &a, &b);
    if(a==x && b!=y)
    {
        printf("drugi");
    }
    else
        if(b==y && a!x)
        {
            printf("drugi");
        }
        else
            if(a==x && b==y)
            {
                printf("izjednacen");
            }
            else{printf("?")}
        
    
    return 0;
}